\name{comCreateObject}
\title{Create COM Objects}
\usage{
comCreateObject(progid)
}
\alias{comCreateObject}
\arguments{
 \item{progid}{ProgId of COM object to create, e.g. "Excel.Application"}
}
\description{
  Creates a new COM object specified by its program identifier.

  The object will be released automatically when the last reference to the
  object is removed. To speed up this process, assign some NULL value as soon
  as you don't need the object any more.
}
\value{
  \code{comCreateObject} returns an object of class \code{"COMObject"}.
}
\author{Thomas Baier}
\examples{
# start up excel
\dontrun{x<-comCreateObject("Excel.Application")}

# and make it visible
\dontrun{comSetProperty(x,"Visible",TRUE)}

# do something now...
}
\keyword{programming}\keyword{interface}
