\name{comGetObject}
\title{Get Access to Existing COM Objects}
\usage{
comGetObject(progid)
}
\alias{comGetObject}
\arguments{
 \item{progid}{ProgId of COM object to get access to, e.g. "Excel.Application"}
}
\description{
  Tries to find a running instance of the specified \code{progid} and returns
  this object.

  Use this function to use services provided by an already running application,
  e.g. the currently visible instance of Microsoft Excel.

  The object will be released automatically when the last reference to the
  object is removed. To speed up this process, assign some NULL value as soon
  as you don't need the object any more.
}
\value{
  \code{comGetObject} returns an object of class \code{"COMObject"}.
}
\author{Thomas Baier}
\examples{
# get access to excel
\dontrun{x<-comGetObject("Excel.Application")}

# and make it visible
\dontrun{comSetProperty(x,"Visible",TRUE);}

# do something now...
}
\keyword{programming}\keyword{interface}
