\name{comGetProperty}
\title{Read One of a COM Object's Properties}
\usage{
comGetProperty(handle,property,...)
}
\alias{comGetProperty}
\arguments{
 \item{handle}{COM object (class "COMObject") as returned by e.g.
               \code{comCreateObject}}
 \item{property}{name of property to get as a character string}
 \item{...}{optional additional arguements for property specification (e.g.
           index for an array)}
}
\description{
  Reads one of the COM object's properties.
}
\value{
  The return value depends on the (data) type of the property to read.
}
\author{Thomas Baier}
\seealso{\code{\link[rcom]{comInvoke}}, \code{\link[rcom]{comSetProperty}}}
\examples{
# start up excel
\dontrun{x<-comCreateObject("Excel.Application")}

# retrieve the "Visible" property
\dontrun{v <- comGetProperty(x,"Visible")}

# add a new workbook to Excel and gain access to the first worksheet
\dontrun{newwb <- comInvoke(comGetProperty(x,"Workbooks"),"Add")}
\dontrun{ws <- comGetProperty(newwb,"Worksheets",1)}

# get a specific range
\dontrun{r <- comGetProperty(ws,"Range","A1","B4")}

# do something now...
}
\keyword{programming}\keyword{interface}
