\name{comIsValidHandle}
\title{Check if the COM object is valid}
\usage{
comIsValidHandle(handle)
}
\alias{comIsValidHandle}
\arguments{
 \item{handle}{COM object (class "COMObject") as returned by e.g.
               \code{comCreateObject}}
}
\description{
  Check if the passed object is a valid COM object
}
\value{
  \code{com.isvalid} returns \code{TRUE} if the object is valid, \code{FALSE}
  otherwise.
}
\author{Thomas Baier}
\seealso{\code{\link[rcom]{comCreateObject}}, \code{\link[rcom]{comGetObject}}}
%\examples{
%# start up excel
%x<-comCreateObject("Excel.Application")
%
%# and make it visible
%comSetProperty(x,"Visible",TRUE);
%
%# do something now...
%}
\keyword{programming}\keyword{interface}
