\name{comSetProperty}
\title{Set One of the COM Object's Properties}
\usage{
comSetProperty(handle,property,value)
}
\alias{comSetProperty}
\arguments{
 \item{handle}{COM object (class "COMObject") as returned by e.g. 
               \code{comCreateObject}}
 \item{property}{name of property to get as a character string}
 \item{value}{the value the property should be set to}
}
\description{
  Set one of the COM object's properties
}
\author{Thomas Baier}
\seealso{\code{\link[rcom]{comInvoke}}, \code{\link[rcom]{comGetProperty}}}
\examples{
# start up excel
\dontrun{x<-comCreateObject("Excel.Application")}

# and make it visible
\dontrun{comSetProperty(x,"Visible",TRUE);}

# do something now...
}
\keyword{programming}\keyword{interface}
