\name{comThis}
\title{Return the COM Object for this \R Instance}
\usage{
comThis()
}
\alias{comThis}
\arguments{
}
\description{
  Returns the COM object for this \R Instance.

  Use this function to e.g. pass a handle to the running \R COM server to
  another COM obejct.

  The object will be released automatically when the last reference to the
  object is removed. To speed up this process, assign some NULL value as soon
  as you don't need the object any more.
}
\value{
  \code{comThis} returns an object of class \code{"COMObject"} representing
  the \code{IStatConnector}/\code{IDispatch} of the current \R.
}
\author{Thomas Baier}
\examples{
# get access to R
\dontrun{x<-comThis();}

# do something with R
\dontrun{comInvoke(x,"SetSymbol","abc",1);}
}
\keyword{programming}\keyword{interface}
